SDIFF(1)

NAZWA
sdiff - interaktywne scalanie różnic między plikami

SKŁADNIA
sdiff [OPCJA]... PLIK1 PLIK2

OPIS

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-o, --output=PLIK
    tryb interaktywny, wynik jest zapisywany do PLIKU

-i, --ignore-case
    ignoruje różnice między wielkością znaków

-E, --ignore-tab-expansion
    ignoruje zmiany związane z zamianą tabulacji na spacje

-Z, --ignore-trailing-space
    ignoruje białe znaki na końcu wiersza

-b, --ignore-space-change
    ignoruje zmiany w liczbie białych znaków

-W, --ignore-all-space
    ignoruje wszystkie białe znaki

-B, --ignore-blank-lines
    ignoruje zmiany we wszystkich wierszach pustych

-I, --ignore-matching-lines=WYR-REG
    ignoruje zmiany w wierszach pasujących do WYR-REG

--strip-trailing-cr
    wycina końcowy znak powrotu karetki (CR) w wyjściu

-a, --text
    traktuje wszystkie pliki jako tekstowe

-w, --width=LICZBA
    wypisuje co najwyżej LICZBĘ (domyślnie 130) kolumn

-l, --left-column
    wypisuje jedynie lewą kolumnę wspólnych wierszy

-s, --suppress-common-lines
    nie wypisuje wspólnych wierszy

-t, --expand-tabs
    zamienia tabulację na spacje w wypisywanym wyniku

--tabsize=LICZBA
    tabulacja ma rozmiar LICZBA (domyślnie 8) kolumn

-d, --minimal
    mocno stara się znaleźć mniejszy zestaw zmian

-H, --speed-large-files
    zakłada, że pliki są duże i zawierają wiele rozproszonych zmian

--diff-program=PROGRAM
    Używa PROGRAMU do porównywania plików

--help
    wyświetla ten tekst i kończy pracę

-v, --version
    wyświetla informacje o wersji i kończy działanie

Jeśli PLIK ma wartość -, to odczytywane jest standardowe wejście. Kod zakończenia wynosi 0 jeśli pliki są identyczne, 1 jeśli się różnią i 2 w przypadku wystąpienia problemu.

AUTOR
Napisane przez Thomasa Lorda.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać (po angielsku) na adres bug-diffutils@gnu.org
Strona internetowa GNU diffutils: <https://www.gnu.org/software/diffutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>

PRAWA AUTORSKIE
Copyright © 2021 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
cmp(1), diff(1), diff3(1)

Pełna dokumentacja sdiff jest dostępna w formacie Texinfo. Jeśli program info i sdiff jest poprawnie zainstalowany, to polecenie

    info sdiff

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.